Changeset 2469 in josm


Ignore:
Timestamp:
2009-11-18T15:20:10+01:00 (11 years ago)
Author:
Gubaer
Message:

fixed #3976: Loading of 0.5 data floods with warnings

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/org/openstreetmap/josm/io/OsmReader.java

    r2444 r2469  
    376376                    current.version= 1;
    377377                } else if (current.id <= 0 && ds.getVersion() != null && ds.getVersion().equals("0.5")) {
    378                     // default version in 0.5 files for new primitives
    379                     System.out.println(tr("WARNING: Normalizing value of attribute ''version'' of element {0} to {2}, API version is ''{3}''. Got {1}.", current.id, current.version, 0, "0.5"));
     378                    // default version in 0.5 files for new primitives, no warning necessary. This is
     379                    // (was) legal in API 0.5
    380380                    current.version= 0;
    381381                }
Note: See TracChangeset for help on using the changeset viewer.